List fees
List fees for the business using indexed scope and time filters.
Required permissions: fee:list.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
X-Penny-As-Business
Act on behalf of another business that has granted you access. Requires the business:act_as permission.
Query parameters
source_type
Type of object that originated the fee.
status
Fee status; requires source_type.
account_id
Only return fees charged to this account.
business_entity_id
Only return fees for this business entity.
program_id
Only return fees under this program.
source_id
Only return fees raised by this object; requires source_type.
page_size
Maximum number of results to return per page. Defaults to 100.
next_page_token
Pagination key used to retrieve the next page of results.
stage_time_greater_than_equal_to
Lower time bound for Stage Time, inclusive.
stage_time_greater_than
Lower time bound for Stage Time, exclusive.
stage_time_equal_to
Exact timestamp for Stage Time.
stage_time_less_than_equal_to
Upper time bound for Stage Time, inclusive.
stage_time_less_than
Upper time bound for Stage Time, exclusive.
Response
A list of fees.
items
The list of items returned by the API.
count
The total number of items returned in this response.
next_page_token
A token for retrieving the next page of results, if applicable.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error